//统一处理
const res = res => {
	const {
		retBody = {}, retHead = {}
	} = res;
	if (!(retHead.errCode == 0 ? 0 : 1)) {
		return retBody || {};
	} else {
		return {
			code: 1
		};
	}
};
const objStr = e =>{
	return Object.keys(e).map(x=>{
		return `${x}=${e[x]}`;
	}).join("&");
}
const formdata = e =>{
	let formData = new FormData();
	Object.keys(e).map(x=>{
		formData.append(x,e[x]);
	});
	return formData;
}
export default {
	//取得全部展示数据
	getAlldata() {
		debugger;
		return fetch(
				`/mtsy/${location.searchObj().pc ? 'web/code/info/show' : 'app/code/scanCode'}?qrToken=${location.searchObj().qrToken}`
			)
			.then(res => res.json())
			.then(res);
	},
	//JS-SDK 地址注册
	getJsapiTicket(obj){
		const src = objStr(obj);
		return fetch(`/mtsy/wap/wechat/getJsapiTicket${src?'?'+src:''}`)
			.then(res => res.json())
			.then(res);
	},
	//分页获取经销商
	selectGoodsDealer(obj){
		return fetch(`/mtsy/web/goods/dealer/selectGoodsDealer`,{
			method:"POST",
			headers:{
				'Accept': 'application/json',
				'Content-Type': 'application/json'
			},
			body:JSON.stringify(obj)
		}).then(res => res.json()).then(res);
	},
	//提交星级评价
	saveGrade(obj){
		return fetch(`/mtsy/wap/grade/save`,{
			method:"POST",
			headers:{
				'Accept': 'application/json',
				'Content-Type': 'application/json'
			},
			body:JSON.stringify(obj)
		}).then(res => res.json()).then(res);
	},
	getGrade(obj){
		const src = objStr(obj);
		return fetch(`/mtsy/wap/grade/searchByUid${src?'?'+src:''}`).then(res => res.json()).then(res);
	},
	//提交内容评价
	saveFeedback(obj){
		return fetch(`/mtsy/wap/feedback/save`,{
			method:"POST",
			headers:{
				'Accept': 'application/json',
				'Content-Type': 'application/json'
			},
			body:JSON.stringify(obj)
		}).then(res => res.json()).then(res);
	},
	getFeedback(obj){
		const src = objStr(obj);
		return fetch(`/mtsy/wap/feedback/searchByUid${src?'?'+src:''}`).then(res => res.json()).then(res);
	}
}
