// router.js
import Vue from 'vue';
import Router from 'vue-router';
Vue.use(Router);
const router = new Router({
	// mode: 'history',
	routes: [{
		path: '/',
		component: resolve => require(['../view/explain'], resolve)
	},
	{
		path: '/origin',
		component: resolve => require(['../view/origin'], resolve)
	},
	// {
	// 	path: '/environment',
	// 	component: resolve => require(['../view/environment'], resolve)
	// },
	// {
	// 	path: '/material',
	// 	component: resolve => require(['../view/material'], resolve)
	// },
	// {
	// 	path: '/circulate',
	// 	component: resolve => require(['../view/circulate'], resolve)
	// },
	{
		path: '/invest',
		component: resolve => require(['../view/invest'], resolve)
	},
	{
		path: '/quarantine',
		component: resolve => require(['../view/quarantine'], resolve)
	},
	{
		path: '/firm',
		component: resolve => require(['../view/firm'], resolve)
	},
	{
		path: '/transaction',
		component: resolve => require(['../view/transaction/index'], resolve)
	},
	{
		path: '/comment',
		component: resolve => require(['../view/comment'], resolve)
	}]
});
export default router;
